nvidia propietary driver fails to load X with geforce 310M (hybrid graphics)

Bug #643895 reported by Oier Mees on 2010-09-20
158
This bug affects 27 people
Affects Status Importance Assigned to Milestone
NVIDIA Drivers Ubuntu
Undecided
Unassigned
nvidia-graphics-drivers (Ubuntu)
High
Unassigned

Bug Description

I'm using Maverick 64 bit and have a geforce 310M card in a new dell vostro 3500 machine.
When I installed the recommended nvidia propietary drivers I get a black screen but still can login with a shell. I tried the 260.19.04 beta driver from ubuntu-x-swat PPA, but also fails. I read in the forums that the issue could be related to the EDID, so I exported my EDID in windows and pointed xorg.conf to it but without luck.
/var/log/Xorg.0.log says
"(EE) No devices detected.
Fatal server error:
 no screens found"
I'm attaching the nvidia-bug-report.
BTW, If I remove all the nvidia drivers and the xorg.conf I get usable desktop with enabled 3D effects.
---
Architecture: amd64
DRM.card0.DisplayPort.1:
 status: disconnected
 enabled: disabled
 dpms: On
 modes:
 edid-base64:
DRM.card0.HDMI_Type_A.1:
 status: disconnected
 enabled: disabled
 dpms: On
 modes:
 edid-base64:
DRM.card0.LVDS.1:
 status: connected
 enabled: enabled
 dpms: On
 modes: 1366x768
 edid-base64: AP///////wAlzAYAAAAAAAATAQOQIhN4CsiFnldUmyYSUFQAAAABAQEBAQEBAQEBAQEBAQEBxhtWf1AAGTAfFTQAWMIQAAAaxhtWf1AAGTAfFTQAWMIQAAAaAAAA/gBXNDY2UoAxNTZHVzAyAAAAAAAAAAAAAAAAAAEBCiAgAO8=
DRM.card0.VGA.1:
 status: disconnected
 enabled: disabled
 dpms: On
 modes:
 edid-base64:
DRM.card1.HDMI_Type_A.2:
 status: disconnected
 enabled: disabled
 dpms: On
 modes:
 edid-base64:
DRM.card1.VGA.2:
 status: disconnected
 enabled: disabled
 dpms: On
 modes:
 edid-base64:
DistroRelease: Ubuntu 10.10
DkmsStatus: bcmwl, 5.60.48.36+bdcom, 2.6.35-22-generic, x86_64: installed
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Alpha amd64 (20100919)
MachineType: Dell Inc. Vostro 3500
NonfreeKernelModules: wl
Package: nvidia-graphics-drivers (not installed)
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.35-22-generic root=UUID=4e7d460b-afc7-485c-b8f6-b7c40cb64c1e ro quiet splash
ProcEnviron:
 LANG=eu_ES.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
Tags: maverick maverick possible-manual-nvidia-install
Uname: Linux 2.6.35-22-generic x86_64
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 05/21/2010
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A04
dmi.board.name: 0NVXFV
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: Not Specified
dmi.modalias: dmi:bvnDellInc.:bvrA04:bd05/21/2010:svnDellInc.:pnVostro3500:pvrNotSpecified:rvnDellInc.:rn0NVXFV:rvrA00:cvnDellInc.:ct8:cvrNotSpecified:
dmi.product.name: Vostro 3500
dmi.product.version: Not Specified
dmi.sys.vendor: Dell Inc.
glxinfo: Error: [Errno 2] No such file or directory
system:
 distro: Ubuntu
 codename: maverick
 architecture: x86_64
 kernel: 2.6.35-22-generic

Oier Mees (oier) wrote :
dazza5000 (darran-kelinske) wrote :

Dear Oier,

Thank you for taking the time to report this bug and helping to make Ubuntu better. We need some more information from you before we can start working on this bug.

Please run the command 'apport-collect BUGNUMBER' which will attach necessary information.

Darran

dazza5000 (darran-kelinske) wrote :

I submitted this bug report to NVIDIA via http://www.nvidia.com/object/driverqualityassurance.html

dazza5000 (darran-kelinske) wrote :

The reference number for your submission is '100920-000153'.
Thank you for your submittal to the NVIDIA Product Feedback Page. We will carefully review your submission and may contact you for further information if needed as we attempt to reproduce your issue.
Sincerely,
NVIDIA Customer Care

apport information

tags: added: apport-collected
description: updated

apport information

Oier Mees (oier) wrote : GdmLog.txt

apport information

Oier Mees (oier) wrote : GdmLog1.txt

apport information

Oier Mees (oier) wrote : GdmLog2.txt

apport information

Oier Mees (oier) wrote : Lspci.txt

apport information

Oier Mees (oier) wrote : Lsusb.txt

apport information

apport information

apport information

apport information

apport information

apport information

Oier Mees (oier) wrote : UdevDb.txt

apport information

Oier Mees (oier) wrote : UdevLog.txt

apport information

Oier Mees (oier) wrote : XorgLog.txt

apport information

apport information

Oier Mees (oier) wrote : Xrandr.txt

apport information

apport information

apport information

apport information

apport information

apport information

Oier Mees (oier) wrote : xkbcomp.txt

apport information

Hello drizzle, thanks for the quick reply, I have added the apport information but this was done with no nvidia driver installed. Does this matter? If yes is it possible to run apport in console mode? (because I can't start X with the nvidia drivers)
I saw bug #567076 before reporting but I am not sure that mine is because of the EDID as I tried that option and it seemed not to work.

Bryce Harrington (bryce) on 2010-09-21
tags: added: maverick
Oier Mees (oier) wrote :

BTW, when I downloaded the NVIDIA-Linux-x86_64-260.19.04 driver from the NVIDIA website and installed it(I removed all nvidia drivers before), I got the following message while booting:
"nouveau 0000:01:00.0: Invalid ROM Contents
Pointer to BIT loadval table invalid
couldn't find matchin output script table
LVDS present in DCB table, but couldn't determine its native mode. Disabling."
Why does it try to load nouveau??

azuluaga (alexander-zuluaga) wrote :

I have the same behavior on my Dell Vostro 3400 with Maverick 64.

Same problem here (vostro 3500 + maverick 64bits).
The problem seems to be due to the fact that that vostro model has a dual graphic chip (one built-in inside the i5 CPU and a nvidia chip), that supports a new technology called "hybrid graphics" that allow the OS to switch which graphic chip it uses on the fly, for power-saving. Currently the nvidia linux driver doesn't support this technology. Doing "lspci" indeed shows 2 VGA adapters, the intel and the nvidia. I suppose the nvidia driver only probes for the first one (the intel), and therefore reports "no screen found"...

So now I'm looking at 2 solutions:
- Try to make hybrid-graphics work: https://launchpad.net/~hybrid-graphics-linux
- Try to disable the intel chip to see if the nvidia driver "finds" the correct chip

I'll post back when I make some progresses...

Okay I made some progresses but it's still not working. Until now I did the following steps:

- Removed packages nvidia-current and nvidia-common
- Downloaded and installed the latest nvidia driver (260.19.21) from nvidia website
- Added 'blacklist nouveau' to /etc/modprobe.d/blacklist.conf (Oier your nouveau-related error comes from there, removing nvidia-current also removes that blacklist info, and the nouveau driver tries to load)
- Ran nvidia-xconfig to generate a new xorg.conf
- Looked at the PCI slot used by the nvidia chip with lspci -v which gives me PCI nr 01.00.00
- Added that line to xorg.conf's "Device" section: BusID "PCI:1:0:0"
- Also added this line to the same "Device" section: Option "ConnectedMonitor" "DFP-0"

The 2 last lines are mandatory to make X start. Now X server starts correctly, with no errors (no "EE" in Xorg.0.log), but the screen stays blank. The ubuntu "welcome" sound plays, and even the keyboard (I can launch stuff blindly with Alt-F2, etc...).

I suspect the problem now has to do with the lcd display (which has the weird resolution of 1366x768). I tried hundreds of xorg.conf tweaks (trying other "safer" video modes, using an EDID file gathered from windows, etc... no changes. The nvidia driver loads correctly and completely, as shown in the X logfile, can even use different screen modes, but the screen stays blank.

Funny thing is that there are several reports about this exact laptop model working fine with nvidia drivers (installed the normal ubuntu way) on ubuntu lucid... I'll install lucid and see if there is any difference.

Oier Mees (oier) wrote :

Thanks for your efforts Yorik, please inform us if you make any progress.

Gerard Taylor (taylor-gerard) wrote :

I too have a Vostro 3500 and have been working with the xorg.conf file deleted to use the default settings

I have followed most of the above steps. (Added in the Option "ConnectedMonitor" "DFP-0" entry having already added in the PCI settings previous to reading this thread)

I see the following two lines in the :5.log

(--) PCI:*(0:0:2:0) 8086:0046:1028:044e rev 24, Mem @ 0xfa400000/4194304, 0xb0000000/268435456, I/O @ 0x0000f080/8
(--) PCI: (0:1:0:0) 10de:0a75:1028:044e rev 162, Mem @ 0xf9000000/16777216, 0xc0000000/268435456, 0xd0000000/33554432, I/O @ 0x0000e000/128, BIOS @ 0x????????/524288

If I understand the asterix next to the PCI line, the driver is trying to access the wrong PCI slot.

Is there a way to disable 0:0:2:0?

Thanks

Gerard Taylor
(hope this adds value)

As far as I read there is no way to disable a PCI slot, so the solution is to force the use of the correct slot.
Check in your /var/log/Xorg.0.conf, you should find a line like this (this is from another computer, so the chip type will be different):

(II) Nov 24 09:47:43 NVIDIA(0): NVIDIA GPU GeForce 8400M GS (G86M) at PCI:1:0:0 (GPU-0)

indicating that the nvidia driver found an nvidia chip at the given pci slot. If yes, I suppose the asterisk above doesn't mean anything relevant to our problem...

As far as I read there is no way to disable a pci slot. You can only force something to use a certain one.
Check in your /var/log/Xorg.0.log, there should be a line like this one (with a different chip, I'm on another computer at the moment):

(II) Nov 24 09:47:43 NVIDIA(0): NVIDIA GPU GeForce 8400M GS (G86M) at PCI:1:0:0 (GPU-0)

That line indicates that the nvidia driver found a nvidia chip at the given pci slot. If you have that line, I suppose your asterix above doesn't mean anything too relevant to our problem...

Sorry about the double post before...
Just tested with ubuntu Lucid now, the exact same bug happens unfortunately. The only difference is that on lucid the integrated intel chip is recognized out of the box, so you can have at least some 3D support. Tomorrow I'll try the hybrid method but it probably won't give much result if the nvidia driver doesn't work alone.

Oier Mees (oier) wrote :

I don't know what you mean, I have 3D support without using the nvidia propietary drivers...

KernelPanic (jfrusciante) wrote :

Yorik, maybe you should also overwrite the EDID informations?

Until driver version 256 I could run the nvidia driver by using the EDID from acpi:

Option "ConnectedMonitor" "DFP-0,DFP-1,CRT"
Option "CustomEDID" "DFP-0:/proc/acpi/video/IGPU/LCD0/EDID"
Option "UseEdidFreqs" "0"

(in device section)

But from driver 260 on, I couldn't get it to work (I need it for CUDA 3.2).

I'm not at home, I'll try it.

Oier Mees (oier) wrote :

On September I tried that, by exporting the EDID from windows, without luck.

Gerard Taylor (taylor-gerard) wrote :

gerard@gt-laptop:~$ sudo find /proc/ -name EDID -exec cat {} \;
<not supported>
<not supported>
<not supported>
<not supported>
<not supported>
<not supported>
<not supported>
<not supported>
<not supported>
<not supported>
<not supported>
<not supported>
<not supported>
<not supported>
<not supported>
<not supported>

Each EDID file under /proc (as you can see from the above output ) has the contents <not supported>

I also tried extracting the EDID from windows with a software called
softmcc, and adding that info in the xorg.conf, which worked (appeared OK in
X log), but didn't give any result

Yorik van Havre
São Paulo, Brazil http://yorik.uncreated.net

if you need help with getting graphics back after this you can boot into recovery mode and then failsafeX - if this doesn't work, boot into console and apt-get install remove nvidia-current

package may have a different name

Philip Muškovac (yofel) wrote :

Marking this as Confirmed/High since it makes X fail to start but still needs review by the X team.

And can someone try the 260.19.21 package from the x-updates ppa just to make sure it's broken too with the default configuration? (Installing from jockey).
https://launchpad.net/~ubuntu-x-swat/+archive/x-updates

Changed in nvidia-graphics-drivers (Ubuntu):
importance: Undecided → High
status: New → Confirmed
Jorge Gustavo (jgr) wrote :

The 260.19.21 version has the same problem. Tested (amd64 Sony Vaio F13Z with GeForce GT 425M) with without success :-(

mateamargo (mateamargo) wrote :

This bug is present in the 32bit version using a Gefroce 310M

I tested with 260.19.21 too, same problem.

Just for who would encounter the same problem, after you try to use the nvidia driver, 3D (direct rendering) is unavailable, even with the intel driver, if you have the nvidia driver installed, because the x server tries to load the nvidia opengl library. If you uninstall the nvidia driver, the mesa opengl library becomes available again and you have at least some 3D support.

azuluaga (alexander-zuluaga) wrote :

Hi Yorik.

¿How did you uninstalled the nvidia driver?, I tried with apt-get remove nvidia-* but still have not OpenGL support.

I did last installation by downloading the driver and executing it manually.

Sorry about this dummy question but I haven't found any way to do it.

Regards.

Philip Muškovac (yofel) wrote :

If you mean you installed the .run from nvidia, then you need to run the installer again with --uninstall:
./nividia*.run --uninstall
and then reinstall the xserver-xorg-core package since the nvidia installer removes the xserver libglx file.

@azuluaga

You need two things actually, sorry for the incomplete tip:
- make sure none of the nvidia-related packages are installed
- install libgl1-mesa-dri and libgl1-mesa-glx, which provide the "default"
mesa opengl

Thanks Yorik and Philip.

Finally it worked. First I tried to uninstall nvidia drivers as Philip said by executing the installer with the option --uninstall. After this I reeboted my machine and the desktop had some weird behavior such as not top bar (minimize, maximize and so on) on the windows or alt+tab didn't worked. So I had to reinstall the nvidia drivers to recover my dekstop.

After read Yorik post I tried by first uninstalling libgl1-mesa-dri and libgl1-mesa-glx. Then I uninstalled nvidia drivers using the installer and rebooted my machine. I started again and stopped the gnome dekstop using an non graphical environment (CTRL + ALT + F1) with sudo service gdm stop. So, installed libgl1-mesa-dri and libgl1-mesa-glx with sudo apt.get install libgl1-mesa-dri libgl1-mesa-glx, rebooted again and it worked!!

Now I can start Stellarium :-)

Thanks in advance.

By the way, I had no idea of the libgl1-mesa* existence ;-).

Osik (stefan-tollkuehn) wrote :

Are there any updates?

I'm curious, because I got my new shiny Vostro 3300 today.

Regards

Osik

I'm also having that same problem.

In boot, the Kubuntu logo displayed, after the screen is blank.

In Xorg.0.log indicates that in this connected to the DFP-0 through the LVDS link, with information passed through the edid file, declared in xorg.conf, but there is no output even in the VGA connector.

Thanks !

I'm having that same problem either.

On Tue, Jan 4, 2011 at 9:26 AM, Vinicius P. Tinoco <
<email address hidden>> wrote:

> I'm also having that same problem.
>
> In boot, the Kubuntu logo displayed, after the screen is blank.
>
> In Xorg.0.log indicates that in this connected to the DFP-0 through the
> LVDS link, with information passed through the edid file, declared in
> xorg.conf, but there is no output even in the VGA connector.
>
> Thanks !
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/643895
>
> Title:
> nvidia propietary driver fails to load X with geforce 310M
>

--
Att.
Maicon
Fone: 92690976
MSN: <email address hidden>

Same problem on my new Sony i7 VPCF132FX. Problem confirmed by Canonical support, case #14835.

On Ubuntu, Garbles screen after install of NVidia driver.

On Kubuntu, Screen freezes after reboot.

Kasper Nymand (kaspernymand) wrote :

I got the exact same problem.

I have an NVIDIA GeForce GT 330M, and got this same problem, when I tried to update to the NVIDIA 3D Acceleration Driver update (from NVIDIA).
I'd also got the black screen (everytime I tried), and had to reboot in Recovery Mode, and edit the 'xorg.conf' file, back to the 'nv' driver.

And then it works fine again, but without the 3D Acceleration "software", in the NVIDIA driver.

I hope to see an update, on this bug very soon.

Thank you in advance! :-)

Oier Mees (oier) wrote :

Any updates? has anybody tried the new drivers? The current stable version is 260.19.36 and beta 270.18

I have an Ubuntu Maverick installed on a Vostro 3500 i5 with GeForce 310M.

i tried today with the recommended driver and had no success.

Same behavior, no luck.

Garrafa Pet 2 Litros (nice rsrsrs).

I have the same hardware that you.

On Tue, Feb 15, 2011 at 11:05 PM, Garrafa Pet 2 Litros <
<email address hidden>> wrote:

> I have an Ubuntu Maverick installed on a Vostro 3500 i5 with GeForce
> 310M.
>
> i tried today with the recommended driver and had no success.
>
> Same behavior, no luck.
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/643895
>
> Title:
> nvidia propietary driver fails to load X with geforce 310M
>

--
Att.
Maicon
Fone: 92690976
MSN: <email address hidden>

I don't think the xserver supports multiple graphics cards (as in "hybrid" graphics). If the BIOS allows you to select the card that you'd like to use, then I think it should work, otherwise you're stuck with the integrated card. Unfortunately I don't have a system with hybrid graphics for testing.

Oier Mees (oier) wrote :

But nowaday every computer is sold with two graphic cards, since the new processors integrate one. I don't think that the BIOS gives you the option to choose a card. Besides, I am getting confused, whose "fault" is this, nvidias driver or xserver?

Oier Mees (oier) wrote :

Has anybody tried with the latest drivers and kernel? and in natty?

Jukka Siitari (reed-siitari) wrote :

-> Oier Mees and others

I have and it does not work, see https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers/+bug/782868

Oier Mees (oier) wrote :

I can still confirm this issue in Natty, after installing the latest nvidia driver, ubuntu would log into gnome 2d. Apparently xorg.conf wasn't changed so nvidia-settings recommended running "nvidia-xconfig". Afterwards, I couldn't start X again (no login screen etc).

Jacob Wise (jacob9b) wrote :

I have the exact same problem on an Asus U31J with a Core I3 and a GeForce 415m running 64 bit Natty. I also tried the latest driver from nvidia. At least with Natty (unlike Maverick) I was able to get to a TTY to undo the scripted xorg.conf.

 I'll be watching this log very closely. Thank you and good luck to those with far more knowledge than myself who are working on this problem!

Andrea (andrea) wrote :

I finally managed to solve the problem on my system, a Lenovo T410, with Nvidia NVS 3100M graphics card and Ubuntu Natty 64 bits.
From the BIOS configuration, I selected as graphic device "Discrete Graphics". Specifically, I could choose among three options: "Integrated Graphics", "Discrete Graphics" and "NVidia Optimus". The default value was "NVidia Optimus". I also disabled the automatic OS detection. For more information refer to http://www-307.ibm.com/pc/support/site.wss/MIGR-76476.html

Adam Niedling (krychek) wrote :

I have exactly the same problem with an Acer 5755G laptop: Ubuntu 11.10 x64, nVidia Geforce 540M, integrated Intel® HD Graphics 3000, nvidia-current 280.13-0ubuntu6.

After running nvidia-xconfig X won't start anymore. In my Xorg.0.log I also get:

(EE) No devices detected.
Fatal server error:
no screens found

Bug #660596 looks similar.

Adam Niedling (krychek) wrote :

Installing Bumblebee fixed my problem:
https://launchpad.net/~hybrid-graphics-linux

Adam Niedling (krychek) on 2012-03-13
summary: - nvidia propietary driver fails to load X with geforce 310M
+ nvidia propietary driver fails to load X with geforce 310M (hybrid
+ graphics)
Adam Niedling (krychek) wrote :

As far as I can see Bumblebee is still not part of the official Ubuntu installation.

bumblebee is unstable and causes lots of instabilities to graphics, please make drivers youself.....

Changed in nvidia-drivers-ubuntu:
status: New → Confirmed
Adam Niedling (krychek) wrote :

I no longer have this issue since Ubuntu 12.10. X loads just fine without Bumblebee or any other hacking on the same laptop.

I think bumblebee can be considered quite stable now anyway, maybe this bug can be closed?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers